<template>
  <div class="maxwidth">
    <closeheader v-bind:titolosezione="$t('il_processo_di_analisi')" :parent='this.parent' :passedparams="{'batchraw': this.passedparams}" :back="true"/>
    <v-container px-4 fill-height grid-list-md text-xs-left class="maxwidth">
      <v-layout row wrap px-0 align-left>
        <v-flex xs12 sm12 md12>
          <read-more v-bind:more-str="$t('show_more')" v-bind:text="$t('analisi_about_description')" link="#" v-bind:less-str="$t('show_less')" :max-chars="200" class="mt-2"></read-more>
          </v-flex>
      </v-layout>            
    </v-container>

    <v-container fill-height grid-list-md text-xs-center class="maxwidth"> 
      <v-layout class="bordobottom" row wrap px-0>
        <v-flex xs6 sm6 md6>
          <h3 class=" text-xs-left titoletto">{{ $t('temperatura') }}</h3>
        </v-flex>
        <v-flex xs6 sm6 md6>
          <p class=" text-xs-right description">{{p.temperature}}°C</p>
        </v-flex>
      </v-layout>            
    </v-container>

    <v-container fill-height grid-list-md text-xs-center class="maxwidth"> 
      <v-layout class="bordobottom" row wrap px-0>
        <v-flex xs6 sm6 md6>
          <h3 class=" text-xs-left titoletto">{{ $t('ricerca_antibiotici') }}</h3>
        </v-flex>
        <v-flex xs6 sm6 md6>
          <p class=" text-xs-right description" v-if="p.antibiotics">{{ $t('param_true') }}</p>
          <p class=" text-xs-right description" v-if="!p.antibiotics">{{ $t('param_false') }}</p>
        </v-flex>
      </v-layout>            
    </v-container>

    <v-container fill-height grid-list-md text-xs-center class="maxwidth"> 
      <v-layout class="bordobottom" row wrap px-0>
        <v-flex xs6 sm6 md6>
          <h3 class=" text-xs-left titoletto">{{ $t('carica_antibatterica') }}</h3>
        </v-flex>
        <v-flex xs6 sm6 md6>
          <p class=" text-xs-right description">{{p.bacterial || '<1000000'}}</p>
        </v-flex>
      </v-layout>            
    </v-container>

      <v-container fill-height grid-list-md text-xs-center class="maxwidth"> 
      <v-layout class="bordobottom" row wrap px-0>
        <v-flex xs6 sm6 md6>
          <h3 class=" text-xs-left titoletto">{{ $t('PH') }}</h3>
        </v-flex>
        <v-flex xs6 sm6 md6>
          <p class=" text-xs-right description">{{p.ph}}</p>
        </v-flex>
      </v-layout>            
    </v-container>

    <v-container fill-height grid-list-md text-xs-center class="maxwidth"> 
      <v-layout class="bordobottom" row wrap px-0>
        <v-flex xs6 sm6 md6>
          <h3 class=" text-xs-left titoletto">{{ $t('grasso') }}</h3>
        </v-flex>
        <v-flex xs6 sm6 md6>
          <p class=" text-xs-right description">{{p.fat}}%</p>
        </v-flex>
      </v-layout>            
    </v-container>

    <v-container fill-height grid-list-md text-xs-center class="maxwidth"> 
      <v-layout class="bordobottom" row wrap px-0>
        <v-flex xs6 sm6 md6>
          <h3 class=" text-xs-left titoletto">{{ $t('acidita') }}</h3>
        </v-flex>
        <v-flex xs6 sm6 md6>
          <p class=" text-xs-right description">{{p.sourness}}</p>
        </v-flex>
      </v-layout>            
    </v-container>

    <v-container fill-height grid-list-md text-xs-center class="maxwidth"> 
      <v-layout class="bordobottom" row wrap px-0>
        <v-flex xs6 sm6 md6>
          <h3 class=" text-xs-left titoletto">{{ $t('latte_estraneo') }}</h3>
        </v-flex>
        <v-flex xs6 sm6 md6>
          <p class=" text-xs-right description" v-if="p.stranger_milk">{{ $t('param_true') }}</p>
          <p class=" text-xs-right description" v-if="!p.stranger_milk">{{ $t('param_false') }}</p>
        </v-flex>
      </v-layout>            
    </v-container>

  </div>
</template>

<script>
import closeheader from '@/components/closeheader'

export default({
  name: 'analisi',
  data () {
    return {
      posts: this.$store.getters.BATCHINFO,
      p: this.$route.params.data,
      parent: this.$route.params.parent,
      passedparams: this.$route.params.passedparams
    }
  },
  mounted () {
    this.$store.dispatch('update_batchraw', this.passedparams)
  },
  components: {
    closeheader
  }
})
</script>

<style scoped>
.bordorosso{
  border: 2px solid red;
}
.bordobottom{
 border-bottom: 2px solid #ffffff;
}
.sfondo1{
  background-color: #ffffd7;
  font-size:95%;

}
.titoletto{
  white-space: nowrap;
}
.ic-badge{
  width: 100%
}
.ow {
  overflow-wrap: break-word;
  word-wrap: break-word;
  hyphens: auto;
}

.bottone{
  margin:auto;
  background-color: #ffda00;
  color:#ffda00;
  padding: 10px;
  border-radius: 999rem;
  white-space: nowrap;
  text-decoration: none;
}
</style>